function [Tvector,Cmatriz] = tension_y_modulo_tangente(Evector,Material)

switch(Material.Ley_Constitutiva)
    case 'SaintVenant_Kirchhoff'
        Y = Material.Modulo_de_Young;
        nu = Material.Coeficiente_de_Poisson;
        Tvector = tension_SaintVenant_Kirchhoff(Evector,Y,nu);
        Cmatriz = modulo_tangente_SaintVenant_Kirchhoff(Y,nu);
    case 'Neo_Hooke'
        Y = Material.Modulo_de_Young;
        nu = Material.Coeficiente_de_Poisson;
        Tvector = tension_Neo_Hooke(Evector,Y,nu);
        Cmatriz = modulo_tangente_Neo_Hooke(Evector,Y,nu);
    case 'Ogden_regularizado'
        mu = Material.Coeficientes_mu;
        alpha = Material.Coeficientes_alpha;
        K = Material.Modulo_de_Compresibilidad;
        Tvector = tension_Ogden_regularizado(Evector,mu,alpha,K);
        Cmatriz = modulo_tangente_Ogden_regularizado(Evector,mu,alpha,K);
    case 'MooneyRivlin_regularizado'
        C = Material.Coeficientes_C;
        K = Material.Modulo_de_Compresibilidad;
        Tvector = tension_MooneyRivlin_regularizado(Evector,C,K);
        Cmatriz = modulo_tangente_MooneyRivlin_regularizado(Evector,C,K);
    otherwise
        error('Ley constitutiva desconocida');
end